package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.CloudBill;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 公有云账单
 *
 * @author admin
 */
public interface CloudBillService {

	BocloudResult<GridBean<CloudBill>> list(Pager pager, RequestContext context);

	BocloudResult<List<Map<String, String>>> listTypes(RequestContext context, Long vendorId);

	BocloudResult synchronizeData(RequestContext context);

	BocloudResult importBill(MultipartFile file, CloudBill cloudBill, RequestContext context);

	BocloudResult download(Pager pager, RequestContext context);

}
